Loading...
Searching...
No Matches
Dune::Functions::Concept::Function< Range(Domain)> Struct Template Reference
Functions » Function concepts

Concept for a function mapping `Domain` to `Range`. More...

`#include <dune/functions/common/functionconcepts.hh>`

Inheritance diagram for Dune::Functions::Concept::Function< Range(Domain)>:

## Public Member Functions

template<class F>
auto | require (F &&f) -> decltype(requireConvertible< Range >(f(std::declval< Domain >())))

## Detailed Description

template<class Range, class Domain>
struct Dune::Functions::Concept::Function< Range(Domain)>

Concept for a function mapping `Domain` to `Range`.

Template Parameters

  Domain | Domain type
  Range | Range type

## Member Function Documentation

## require()

template<class Range, class Domain>
template<class F>

auto Dune::Functions::Concept::Function< Range(Domain)>::require | ( | F && | f | ) | ->decltype(requireConvertible< Range >(f(std::declval< Domain >())))

The documentation for this struct was generated from the following file:

- functionconcepts.hh